Bug 18278 - This definition of "stops parsing" combined with the definition of when an iframe delays the load event of its parent document seems like it will produce the wrong order of events; the iframe should continue to delay the load until after the steps here ha
Summary: This definition of "stops parsing" combined with the definition of when an if...
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec (show other bugs)
Version: unspecified
Hardware: Other other
: P3 normal
Target Milestone: ---
Assignee: Silvia Pfeiffer
QA Contact: HTML WG Bugzilla archive list
URL: http://www.whatwg.org/specs/web-apps/...
Whiteboard: Clone_Fixed
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-18 17:56 UTC by contributor
Modified: 2012-11-11 01:08 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:56:13 UTC
This was was cloned from bug 17680 as part of operation convergence.
Originally filed: 2012-07-03 20:52:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-07-03 20:52:58 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/multipage/the-end.html
Multipage: http://www.whatwg.org/C#the-end
Complete: http://www.whatwg.org/c#the-end

Comment:
This definition of "stops parsing" combined with the definition of when an
iframe delays the load event of its parent document seems like it will produce
the wrong order of events; the iframe should continue to delay the load until
after the steps here have run (or, at least until after the load event in the
iframe fires; I didn't test for things other than that).

Posted from: 85.229.223.104
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:16.0) Gecko/16.0 Firefox/16.0
================================================================================
Comment 1 Travis Leithead [MSFT] 2012-09-10 17:00:27 UTC
The cloned bug was fixed--assigning to you, as this will be a branch merge bug fix.
Comment 2 Silvia Pfeiffer 2012-09-28 05:27:51 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: applied patch
https://github.com/w3c/html/commit/15888f44778ffcca048d6887ef535521836d285f
Rationale: adopted resolution by WHATWG
Comment 3 Silvia Pfeiffer 2012-11-04 11:48:28 UTC
According to https://www.w3.org/Bugs/Public/show_bug.cgi?id=18784 , HTMLCollection.item overload does not exist in most browsers, so remove it again.

See:
https://github.com/w3c/html/commit/aedfbfe82bf4b452189b4446403d6508eaebf399
Comment 4 Silvia Pfeiffer 2012-11-11 01:08:38 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted
Change Description:
https://github.com/w3c/html/commit/aedfbfe82bf4b452189b4446403d6508eaebf399
Rationale: adopted WHATWG change